> For the complete documentation index, see [llms.txt](https://docs-v4.venus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v4.venus.io/technical-reference/reference-xvs-bridge/xvsproxyoftdest.md).

# XVSProxyOFTDest

## XVSProxyOFTDest

XVSProxyOFTDest contract builds upon the functionality of its parent contract, BaseXVSProxyOFT, and focuses on managing token transfers to the destination chain. It provides functions to check eligibility and perform the actual token transfers while maintaining strict access controls and pausing mechanisms.

## Solidity API

#### dropFailedMessage

Clear failed messages from the storage.

```solidity
function dropFailedMessage(uint16 srcChainId_, bytes srcAddress_, uint64 nonce_) external
```

**Parameters**

| Name         | Type   | Description                                          |
| ------------ | ------ | ---------------------------------------------------- |
| srcChainId\_ | uint16 | Chain id of source                                   |
| srcAddress\_ | bytes  | Address of source followed by current bridge address |
| nonce\_      | uint64 | Nonce\_ of the transaction                           |

**📅 Events**

* Emits DropFailedMessage on clearance of failed message.

**⛔️ Access Requirements**

* Only owner

***

#### circulatingSupply

Returns the total circulating supply of the token on the destination chain i.e (total supply).

```solidity
function circulatingSupply() public view returns (uint256)
```

**Return Values**

| Name | Type    | Description                                                     |
| ---- | ------- | --------------------------------------------------------------- |
| \[0] | uint256 | total circulating supply of the token on the destination chain. |

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v4.venus.io/technical-reference/reference-xvs-bridge/xvsproxyoftdest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
